Name:		pentobi
Version:	5.0
Release:	3%{?dist}
Summary:	Program to play the board game Blokus

License:	GPLv3
URL:		http://pentobi.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
#This patch change the installation directories in CMakeLists.txt
#This patch has been report to upstream
#https://sourceforge.net/p/pentobi/bugs/7/
Patch0:		pentobi-5.0-install-dirs.patch
BuildRequires:	boost-devel
BuildRequires:	qt-devel
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
Requires:	boost
Requires:	qt

%description
Pentobi is a computer program to play the board game Blokus

%prep
%setup -q
%patch0 -p1


%build
%cmake -DPENTOBI_REGISTER_GNOME2_THUMBNAILER=OFF .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

%check
#check desktop file
desktop-file-validate %{buildroot}/%{_datadir}/applications/pentobi.desktop

%post
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%clean

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-thumbnailer
%{_datadir}/applications/pentobi.desktop
%{_datadir}/icons/hicolor/16x16/apps/pentobi.png
%{_datadir}/icons/hicolor/16x16/mimetypes/application-x-blokus-sgf.png
%{_datadir}/icons/hicolor/32x32/apps/pentobi.png
%{_datadir}/icons/hicolor/48x48/apps/pentobi.png
%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-blokus-sgf.png
%{_datadir}/icons/hicolor/scalable/apps/pentobi.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-blokus-sgf.svg
%{_datadir}/mime/packages/pentobi-mime.xml
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/pentobi.thumbnailer
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/books/
%dir %{_datadir}/%{name}/manual
%lang(de) %{_datadir}/%{name}/manual/de/
%lang(en) %{_datadir}/%{name}/manual/en/
%lang(en_CA) %{_datadir}/%{name}/manual/en_CA/
%lang(en_GB) %{_datadir}/%{name}/manual/en_GB/
%{_datadir}/%{name}/translations/
%{_mandir}/man6/pentobi-thumbnailer.6.*
%{_mandir}/man6/pentobi.6.*
%doc COPYING NEWS README

%changelog
* Thu Jan 24 2013 Christophe Burgun <jouty@fedoraproject.org> 5.0-3
- List buildrequires entries one-by-one
- Apply directories patch according to Fedora Games Packaging guidelines
- Add mime and icon parts in post and postun section
- Own /usr/share/thumbnailers as mailing list recommendations http://lists.fedoraproject.org/pipermail/packaging/2013-January/008850.html

* Mon Dec 11 2012 Christophe Burgun <jouty@fedoraproject.org> 5.0-2
- Add Requires
- Delete duplicates in files section
- Change description and summary

* Mon Dec 10 2012 Christophe Burgun <jouty@fedoraproject.org> 5.0-1
- Update pentobi version

* Mon Oct 22 2012 Christophe Burgun <jouty@fedoraproject.org> 4.3-1
- Init spec
